{
  "ReRoutes": [
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Acc",
      "UpstreamPathTemplate": "/acc/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/acc/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9003
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
    {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Config",
      "UpstreamPathTemplate": "/config/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/config/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9002
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
	 {
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.Tpm",
      "UpstreamPathTemplate": "/tpm/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/tpm/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9004
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },
	{
      //"UseServiceDiscovery": true,
      //"ServiceName": "SIGER.QMS",
      "UpstreamPathTemplate": "/qms/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/qms/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9005
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },{
      "UpstreamPathTemplate": "/kpi/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/kpi/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9006
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },{
      "UpstreamPathTemplate": "/dashboard/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/dashboard/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9007
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    }
	,{
      "UpstreamPathTemplate": "/cnc/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/cnc/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9008
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    }
   ,{
      "UpstreamPathTemplate": "/tlm/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/tlm/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9009
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    }
 ,{
      "UpstreamPathTemplate": "/wms/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/wms/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9010
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    }
 ,{
      "UpstreamPathTemplate": "/dnc/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/dnc/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9011
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },{
      "UpstreamPathTemplate": "/esop/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/esop/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9012
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    },{
      "UpstreamPathTemplate": "/ims/{controller}/{action}",
      "UpstreamHttpMethod": [ "Get", "Post" ],
      "DownstreamScheme": "http",
      "DownstreamPathTemplate": "/ims/{controller}/{action}",
      "DownstreamHostAndPorts": [
        {
          "host": "localhost",
          "port": 9019
        }
      ],
      "LoadBalancerOptions": {
        "Type": "LeastConnection"
      },
      "ReRoutesCaseSensitive": false
    }
	
  ],
  "GlobalConfiguration": {
    "GlobalConfiguration": {
    "BaseUrl": "http://localhost:8105/"
  }
 }
 }
